Bug 991259 - Pressing "Enter" in Search entry in Manage User should start searching, not editing the first user in the user list
Pressing "Enter" in Search entry in Manage User should start searching, not e...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.5
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 22:27 EDT by Ding-Yi Chen
Modified: 2015-01-26 18:28 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.5.0-SNAPSHOT (git-server-3.4.1-203-gf35c8bc)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 18:28:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2013-08-01 22:27:25 EDT
Description of problem:
In the search username field of Manage user view, the expected behavior of pressing Enter is start searching with the search term and the user list should be filtered by the search term.

However, the actual behavior is editing the first user in the user list, even before the user list is properly filtered. Depending on when the "Enter" is pressed, you may get:

1. If Enter is pressed before the user list filtered, the first user in the user list, even if unrelated to search term, will be show in edit view.

2. If Enter is pressed after the user list filtered, the first user in the filtered user list, will be show in edit view.

2. If Enter is pressed during the filtering of user list, Error message: "Unexpected error" is shown.

Version-Release number of selected component (if applicable):
Zanata version 3.0.0-alpha-2-SNAPSHOT (20130730-0037)

How reproducible:
Always. Easier to reproduce on the system with many users.

Steps to Reproduce:
1. Sign in as the user with admin role.
2. Navigate to Manage User view ( More-> Administrator -> Manage User)
3. Type a search term that does not match the first user, and quickly press enter.


Actual results:
1. If Enter is pressed before the user list filtered, the first user in the user list, even if unrelated to search term, will be show in edit view.

2. If Enter is pressed after the user list filtered, the first user in the filtered user list, will be show in edit view.

2. If Enter is pressed during the filtering of user list, Error message: "Unexpected error" is shown.


Expected results:
Just perform search, do not edit the user.


Additional info:
Comment 1 Alex Eng 2014-07-04 00:22:24 EDT
Pull request:
https://github.com/zanata/zanata-server/pull/523
Comment 2 Ding-Yi Chen 2014-07-04 01:52:54 EDT
VERIFIED with Zanata 3.5.0-SNAPSHOT (git-server-3.4.1-203-gf35c8bc)

Note You need to log in before you can comment on or make changes to this bug.